Bug 710245 - Removed option from Sudo rule message is displayed even when the given option doesn't exist.
Summary: Removed option from Sudo rule message is displayed even when the given option...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-02 19:14 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: A removed sudorule option appears in the output when removing that option. Consequence: It is confusing that the option being removed is still in the output. The option is properly removed, only the output is in error. Fix: Refresh the option values before returning. Result: The output from the delete command is consistent with the data.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:22:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-06-02 19:14:59 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.0-23.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # ipa sudorule-find sudorule1 --all
  dn: ipauniqueid=78c97b54-8d01-11e0-b6e8-525400deab7b,cn=sudorules,cn=sudo,dc=lab,dc=eng,dc=pnq,dc=redhat,dc=com
  Rule name: sudorule1
  Enabled: TRUE
  Sudo Deny Commands: /bin/ls
  Run As Group: group2
  RunAs External User: test
  ipasudoopt: env_keep = LANG LC_ADDRESS LC_CTYPE LC_COLLATE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME
              LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME LC_ALL LANGUAGE LINGUAS XDG_SESSION_COOKIE, !authenticate
  ipasudorunas_group: group1
  ipauniqueid: 78c97b54-8d01-11e0-b6e8-525400deab7b
  objectclass: ipaassociation, ipasudorule
----------------------------
Number of entries returned 1
----------------------------

2. # ipa sudorule-remove-option sudorule1 --sudooption=invalid
-----------------------
sudorule-remove-option:
-----------------------
----------------------------------------------------
Removed option "invalid" from Sudo rule "sudorule1"
----------------------------------------------------
  
Actual results:
1. displays: Removed option "invalid" from Sudo rule "sudorule1"

Expected results:
1. Appropriate message should be displayed stating that the specified sudooption does not exist in this sudorule. 

Additional info:

Comment 2 Dmitri Pal 2011-06-02 19:52:28 UTC
https://fedorahosted.org/freeipa/ticket/1276

Comment 3 Rob Crittenden 2011-08-01 20:31:16 UTC
master: 44cdf8ef54ff761a5e38919b8cdce5128928985a

Comment 5 Jenny Severance 2011-10-05 20:06:54 UTC
verified :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Bug 710245: Removed option from Sudo rule message is displayed even when the given option doesn't exist.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ipa sudorule-add rule1'
:: [   PASS   ] :: Running 'ipa sudorule-remove-option rule1 --sudooption=invalid > /tmp/tmp.2wPVb2wcQB/bug710245.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.2wPVb2wcQB/bug710245.txt' should not contain 'Removed option "invalid" from Sudo rule "rule1"'
:: [   PASS   ] :: Running 'cat /tmp/tmp.2wPVb2wcQB/bug710245.txt'
:: [   PASS   ] :: Running 'ipa sudorule-del rule1'
:: [   LOG    ] :: Duration: 7s
:: [   LOG    ] :: Assertions: 5 good, 0 bad
:: [   PASS   ] :: RESULT: Bug 710245: Removed option from Sudo rule message is displayed even when the given option doesn't exist.

version :
ipa-server-2.1.1-4.el6.x86_64

Comment 6 Rob Crittenden 2011-10-31 19:26:27 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: A removed sudorule option appears in the output when removing that option.
Consequence: It is confusing that the option being removed is still in the output. The option is properly removed, only the output is in error.
Fix: Refresh the option values before returning.
Result: The output from the delete command is consistent with the data.

Comment 7 errata-xmlrpc 2011-12-06 18:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.